tacker.sol_refactored.common.exceptions module¶
- exception tacker.sol_refactored.common.exceptions.APIVersionMissing(**kwargs)¶
Bases:
SolHttpError400- message = "'Version' HTTP header missing."¶
- exception tacker.sol_refactored.common.exceptions.APIVersionNotSupported(**kwargs)¶
Bases:
SolHttpError406- message = 'Version %(version)s not supported.'¶
- exception tacker.sol_refactored.common.exceptions.AckStateInvalid(**kwargs)¶
Bases:
SolHttpError409- message = 'The ackState of alarm cannot specify the same value.'¶
- exception tacker.sol_refactored.common.exceptions.AlarmNotFound(**kwargs)¶
Bases:
SolHttpError404- message = 'Alarm %(alarm_id)s not found.'¶
- exception tacker.sol_refactored.common.exceptions.BaseHOTNotDefined(**kwargs)¶
Bases:
SolHttpError400- message = 'BaseHOT is not defined.'¶
- exception tacker.sol_refactored.common.exceptions.CnfDefinitionNotFound(**kwargs)¶
Bases:
SolHttpError400- message = "'%(diff_files)s' do not exist in vnf artifact files"¶
- exception tacker.sol_refactored.common.exceptions.ConductorProcessingError(**kwargs)¶
Bases:
SolException- message = 'Failure due to conductor processing error.'¶
- title = 'Internal Server Error'¶
- exception tacker.sol_refactored.common.exceptions.CoordinateVNFExecutionFailed(**kwargs)¶
Bases:
SolHttpError422- title = 'Coordinate VNF execution failed'¶
- exception tacker.sol_refactored.common.exceptions.CreateK8SResourceFailed(**kwargs)¶
Bases:
SolHttpError400- message = 'An error occurred when creating k8s resource.'¶
- exception tacker.sol_refactored.common.exceptions.DbSyncFailed¶
Bases:
Exception
- exception tacker.sol_refactored.common.exceptions.DbSyncNoDiff¶
Bases:
Exception
- exception tacker.sol_refactored.common.exceptions.DeleteK8SResourceFailed(**kwargs)¶
Bases:
SolHttpError400- message = 'An error occurred when deleting k8s resource.'¶
- exception tacker.sol_refactored.common.exceptions.DeltaMissingInVnfd(**kwargs)¶
Bases:
SolHttpError400- message = "Delta '%(delta)s' is not defined in VduScalingAspectDeltas."¶
- exception tacker.sol_refactored.common.exceptions.ExecuteK8SResourceCreateApiFailed(**kwargs)¶
Bases:
SolHttpError400- message = 'An error occurred when creating k8s resource.'¶
- exception tacker.sol_refactored.common.exceptions.FlavourIdNotFound(**kwargs)¶
Bases:
SolHttpError400- message = 'FlavourId %(flavour_id)s not found in the vnfd.'¶
- exception tacker.sol_refactored.common.exceptions.FmSubscriptionNotFound(**kwargs)¶
Bases:
SolHttpError404- message = 'FmSubscription %(subsc_id)s not found.'¶
- exception tacker.sol_refactored.common.exceptions.GrantRequestOrGrantNotFound(**kwargs)¶
Bases:
SolHttpError404- message = 'GrantRequest or Grant for LCM operation %(lcmocc_id)s not found.'¶
- exception tacker.sol_refactored.common.exceptions.HelmOperationFailed(**kwargs)¶
Bases:
SolHttpError422- title = 'Helm operation failed'¶
- exception tacker.sol_refactored.common.exceptions.HelmParameterNotFound(**kwargs)¶
Bases:
SolHttpError400- message = 'Helm parameter for scale vdu %(vdu_name)s is not found.'¶
- exception tacker.sol_refactored.common.exceptions.InvalidAPIVersionString(**kwargs)¶
Bases:
SolHttpError400- message = 'Version String %(version)s is of invalid format. Must be of format Major.Minor.Patch.'¶
- exception tacker.sol_refactored.common.exceptions.InvalidAttributeFilter(**kwargs)¶
Bases:
SolHttpError400- message = 'Attribute filter expression is invalid.'¶
- exception tacker.sol_refactored.common.exceptions.InvalidAttributeSelector(**kwargs)¶
Bases:
SolHttpError400- message = 'Attribute selector expression is invalid.'¶
- exception tacker.sol_refactored.common.exceptions.InvalidPagingMarker(**kwargs)¶
Bases:
SolHttpError400- message = 'Paging marker value %(marker)s is invalid.'¶
- exception tacker.sol_refactored.common.exceptions.InvalidScaleAspectId(**kwargs)¶
Bases:
SolHttpError400- message = "Invalid aspectId '%(aspect_id)s'."¶
- exception tacker.sol_refactored.common.exceptions.InvalidScaleNumberOfSteps(**kwargs)¶
Bases:
SolHttpError400- message = "Invalid numberOfSteps '%(num_steps)d'."¶
- exception tacker.sol_refactored.common.exceptions.InvalidSubscription(**kwargs)¶
Bases:
SolHttpError400
- exception tacker.sol_refactored.common.exceptions.InvalidVnfdFormat(**kwargs)¶
Bases:
SolHttpError400- message = 'Vnfd is unexpected format.'¶
- exception tacker.sol_refactored.common.exceptions.K8sInvalidManifestFound(**kwargs)¶
Bases:
SolHttpError400- message = 'Invalid manifest found.'¶
- exception tacker.sol_refactored.common.exceptions.K8sOperaitionTimeout(**kwargs)¶
Bases:
SolHttpError422- message = 'Kubernetes operation did not complete within the timeout period.'¶
- exception tacker.sol_refactored.common.exceptions.K8sOperationFailed(**kwargs)¶
Bases:
SolHttpError422
- exception tacker.sol_refactored.common.exceptions.K8sResourceNotFound(**kwargs)¶
Bases:
SolHttpError404- message = 'Kubernetes resource %(rsc_name)s is not found.'¶
- exception tacker.sol_refactored.common.exceptions.LccnSubscriptionNotFound(**kwargs)¶
Bases:
SolHttpError404- message = 'LccnSubscription %(subsc_id)s not found.'¶
- exception tacker.sol_refactored.common.exceptions.LcmOpOccNotFailedTemp(**kwargs)¶
Bases:
SolHttpError409- message = 'LCM operation %(lcmocc_id)s not FAILED_TEMP.'¶
- exception tacker.sol_refactored.common.exceptions.LocalNfvoGrantFailed(**kwargs)¶
Bases:
SolHttpError403- title = 'Grant failed'¶
- exception tacker.sol_refactored.common.exceptions.MalformedRequestBody(**kwargs)¶
Bases:
SolHttpError400- message = 'Malformed request body.'¶
- exception tacker.sol_refactored.common.exceptions.MethodNotAllowed(**kwargs)¶
Bases:
SolHttpError405- message = 'Method %(method)s is not supported.'¶
- exception tacker.sol_refactored.common.exceptions.MgmtDriverExecutionFailed(**kwargs)¶
Bases:
SolHttpError422- title = 'Mgmt driver execution failed'¶
- exception tacker.sol_refactored.common.exceptions.MissingParameterException(**kwargs)¶
Bases:
SolHttpError400- message = "If you set vdu_params parameter in request body, the 'vdu_id' is necessary."¶
- exception tacker.sol_refactored.common.exceptions.MonitoringPluginClassError(**kwargs)¶
Bases:
SolHttpError503- message = '%(class_name)s is not a subclass of MonitoringPlugin.'¶
- exception tacker.sol_refactored.common.exceptions.NamespaceNotUniform(**kwargs)¶
Bases:
SolHttpError400- message = 'There are multiple namespaces in the manifest file. Only onenamespace can be used in one VNF.'¶
- exception tacker.sol_refactored.common.exceptions.NoVimConnectionInfo(**kwargs)¶
Bases:
SolHttpError422- message = 'No VimConnectionInfo set to the VnfInstance.'¶
- exception tacker.sol_refactored.common.exceptions.NotAllowedContentType(**kwargs)¶
Bases:
SolHttpError406- message = "Content type '%(header)s' specified in 'Accept' header is not allowed."¶
- exception tacker.sol_refactored.common.exceptions.NotFoundUpdateFileException(**kwargs)¶
Bases:
SolHttpError400- message = "No original file matching the update file '%(new_file_path)s' was found."¶
- exception tacker.sol_refactored.common.exceptions.NotSupportOperationType(**kwargs)¶
Bases:
SolHttpError404- message = 'This operation is not currently supported.'¶
- exception tacker.sol_refactored.common.exceptions.NotSupportUpgradeType(**kwargs)¶
Bases:
SolHttpError400- message = 'not support upgrade_type %(upgrade_type)s'¶
- exception tacker.sol_refactored.common.exceptions.NotSupportedContentType(**kwargs)¶
Bases:
SolHttpError415- message = "Content type '%(header)s' specified in 'Content-Type' header is not allowed."¶
- exception tacker.sol_refactored.common.exceptions.OIDCAuthFailed(**kwargs)¶
Bases:
SolHttpError400- message = 'OIDC authentication and authorization failed. Detail: %(detail)s'¶
- exception tacker.sol_refactored.common.exceptions.OtherOperationInProgress(**kwargs)¶
Bases:
SolHttpError409- message = 'Other LCM operation of vnfInstance %(inst_id)s is in progress.'¶
- exception tacker.sol_refactored.common.exceptions.PMJobInvalidRequest(**kwargs)¶
Bases:
SolHttpError400- message = 'Invalid request'¶
- exception tacker.sol_refactored.common.exceptions.PMJobNotExist(**kwargs)¶
Bases:
SolHttpError404- message = 'The specified PM job does not exist.'¶
- exception tacker.sol_refactored.common.exceptions.PMReportNotExist(**kwargs)¶
Bases:
SolHttpError404- message = 'The specified Performance Report does not exist.'¶
- exception tacker.sol_refactored.common.exceptions.PMThresholdInvalidRequest(**kwargs)¶
Bases:
SolHttpError400- message = 'Invalid request'¶
- exception tacker.sol_refactored.common.exceptions.PMThresholdNotExist(**kwargs)¶
Bases:
SolHttpError404- message = 'The specified PM Threshold %(threshold_id)s does not exist.'¶
- exception tacker.sol_refactored.common.exceptions.PrometheusPluginError¶
Bases:
Exception
- exception tacker.sol_refactored.common.exceptions.PrometheusPluginNotEnabled(**kwargs)¶
Bases:
SolHttpError404- message = '%(name)s API is not enabled.'¶
- exception tacker.sol_refactored.common.exceptions.PrometheusPluginSkipped¶
Bases:
Exception
- exception tacker.sol_refactored.common.exceptions.PrometheusSettingFailed(**kwargs)¶
Bases:
SolHttpError503- message = 'Setting PM job on External Monitoring Tool failed.'¶
- exception tacker.sol_refactored.common.exceptions.ReadEndpointsFalse(**kwargs)¶
Bases:
SolHttpError400- message = "read endpoints failed. kind:'%(kind)s'."¶
- exception tacker.sol_refactored.common.exceptions.ResourcesOtherOperationInProgress(**kwargs)¶
Bases:
SolHttpError409- message = 'Other LCM operation of resources %(inst_id)s is in progress.'¶
- exception tacker.sol_refactored.common.exceptions.ResponseTooBig(**kwargs)¶
Bases:
SolHttpError400- message = 'Content length of the response is larger than %(size)d bytes.'¶
- title = 'Response too big'¶
- exception tacker.sol_refactored.common.exceptions.RollbackNotSupported(**kwargs)¶
Bases:
SolHttpError422- message = 'Rollback of %(op)s is not supported.'¶
- exception tacker.sol_refactored.common.exceptions.ServerNotificationNotEnabled(**kwargs)¶
Bases:
SolHttpError404- message = 'ServerNotification API is not enabled.'¶
- exception tacker.sol_refactored.common.exceptions.SolException(**kwargs)¶
Bases:
ExceptionException for SOL ProblemDetails
Generally status, title and message should be defined in derived class. detail is constructed from message and kwargs.
Attributes in ProblemDetails can be specified in kwargs of object initialization. Use sol_* (ex. sol_instance) to avoid confliction with kwargs.
- make_problem_details()¶
- message = 'Internal Server Error'¶
- status = 500¶
- title = None¶
- exception tacker.sol_refactored.common.exceptions.SolHttpError400(**kwargs)¶
Bases:
SolException- status = 400¶
- title = 'Bad Request'¶
- exception tacker.sol_refactored.common.exceptions.SolHttpError403(**kwargs)¶
Bases:
SolException- status = 403¶
- title = 'Forbidden'¶
- exception tacker.sol_refactored.common.exceptions.SolHttpError404(**kwargs)¶
Bases:
SolException- status = 404¶
- title = 'Not Found'¶
- exception tacker.sol_refactored.common.exceptions.SolHttpError405(**kwargs)¶
Bases:
SolException- status = 405¶
- title = 'Method Not Allowed'¶
- exception tacker.sol_refactored.common.exceptions.SolHttpError406(**kwargs)¶
Bases:
SolException- status = 406¶
- title = 'Not Acceptable'¶
- exception tacker.sol_refactored.common.exceptions.SolHttpError409(**kwargs)¶
Bases:
SolException- status = 409¶
- title = 'Conflict'¶
- exception tacker.sol_refactored.common.exceptions.SolHttpError415(**kwargs)¶
Bases:
SolException- status = 415¶
- title = 'Unsupported Media Type'¶
- exception tacker.sol_refactored.common.exceptions.SolHttpError422(**kwargs)¶
Bases:
SolException- status = 422¶
- title = 'Unprocessable Entity'¶
- exception tacker.sol_refactored.common.exceptions.SolHttpError503(**kwargs)¶
Bases:
SolException- status = 503¶
- title = 'Service Unavailable'¶
- exception tacker.sol_refactored.common.exceptions.SolValidationError(**kwargs)¶
Bases:
SolHttpError400- message = '%(detail)s'¶
- exception tacker.sol_refactored.common.exceptions.SshIpNotFoundException(**kwargs)¶
Bases:
SolHttpError404- message = 'Ssh ip not found.'¶
- exception tacker.sol_refactored.common.exceptions.StackOperationFailed(**kwargs)¶
Bases:
SolHttpError422
- exception tacker.sol_refactored.common.exceptions.TerraformOperationFailed(**kwargs)¶
Bases:
SolHttpError422- title = 'Terraform operation failed'¶
- exception tacker.sol_refactored.common.exceptions.TestNotificationFailed(**kwargs)¶
Bases:
SolHttpError422- message = "Can't get from notification callback Uri."¶
- exception tacker.sol_refactored.common.exceptions.UnSupportedKindException(**kwargs)¶
Bases:
SolHttpError400- message = "The update file '%(new_file_path)s' does not contain 'Deployment' resource and other types of updates are not currently supported."¶
- exception tacker.sol_refactored.common.exceptions.UnexpectedParentResourceDefinition(**kwargs)¶
Bases:
SolHttpError422- message = 'Parent resource is necessary for VDU definition.'¶
- exception tacker.sol_refactored.common.exceptions.UnmatchedFileException(**kwargs)¶
Bases:
SolHttpError400- message = "The updated file '%(new_file_path)s' does not match the original file. Some resources may be missing."¶
- exception tacker.sol_refactored.common.exceptions.UpdateK8SResourceFailed(**kwargs)¶
Bases:
SolHttpError400- message = 'An error occurred when updating k8s resource.'¶
- exception tacker.sol_refactored.common.exceptions.UserDataClassNotImplemented(**kwargs)¶
Bases:
SolHttpError400- message = 'Userdata class not implemented.'¶
- exception tacker.sol_refactored.common.exceptions.UserdataExecutionFailed(**kwargs)¶
Bases:
SolHttpError422- title = 'Userdata execution failed'¶
- exception tacker.sol_refactored.common.exceptions.UserdataMissing(**kwargs)¶
Bases:
SolHttpError400- message = "'lcm-operation-user-data' or 'lcm-operation-user-data-class' missing."¶
- exception tacker.sol_refactored.common.exceptions.VimNotFound(**kwargs)¶
Bases:
SolHttpError404- message = 'VIM %(vim_id)s not found.'¶
- exception tacker.sol_refactored.common.exceptions.VmRunningFailed(**kwargs)¶
Bases:
SolHttpError422- message = "VM is running incorrectly. Reason: '%(error_info)s'"¶
- exception tacker.sol_refactored.common.exceptions.VnfInstanceIsInstantiated(**kwargs)¶
Bases:
SolHttpError409- message = 'VnfInstance %(inst_id)s is instantiated.'¶
- exception tacker.sol_refactored.common.exceptions.VnfInstanceIsNotInstantiated(**kwargs)¶
Bases:
SolHttpError409- message = "VnfInstance %(inst_id)s isn't instantiated."¶
- exception tacker.sol_refactored.common.exceptions.VnfInstanceNotFound(**kwargs)¶
Bases:
SolHttpError404- message = 'VnfInstance %(inst_id)s not found.'¶
- exception tacker.sol_refactored.common.exceptions.VnfLcmOpOccNotFound(**kwargs)¶
Bases:
SolHttpError404- message = 'VnfLcmOpOcc %(lcmocc_id)s not found.'¶
- exception tacker.sol_refactored.common.exceptions.VnfdIdNotEnabled(**kwargs)¶
Bases:
SolHttpError422- message = 'VnfId %(vnfd_id)s not ENABLED.'¶
- exception tacker.sol_refactored.common.exceptions.VnfdIdNotFound(**kwargs)¶
Bases:
SolHttpError422- message = 'VnfPackage of vnfdId %(vnfd_id)s is not found or not operational.'¶